summaryrefslogtreecommitdiff
path: root/qa/143
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/143
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/143')
-rwxr-xr-xqa/14367
1 files changed, 67 insertions, 0 deletions
diff --git a/qa/143 b/qa/143
new file mode 100755
index 0000000..fe6e485
--- /dev/null
+++ b/qa/143
@@ -0,0 +1,67 @@
+#! /bin/sh
+# PCP QA Test No. 143
+# pmnsdel fails for x.x
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+trap "cd $here; rm -rf $tmp; exit" 0 1 2 3 15
+
+# real QA test starts here
+mkdir $tmp
+cd $tmp
+cat >root <<End-of-File
+root {
+ x
+}
+#include "x"
+End-of-File
+
+cat >x <<End-of-File
+x {
+ x
+ y 1:1:1
+}
+#include "x.x"
+End-of-File
+
+cat >x.x <<End-of-File
+x.x {
+ x
+ y 2:2:2
+}
+#include "x.x.x"
+End-of-File
+
+cat >x.x.x <<End-of-File
+x.x.x {
+ y 3:3:3
+}
+End-of-File
+
+echo "=== PMNS from pminfo ==="
+pminfo -n root
+
+for path in x.x.x x.x x
+do
+ echo "=== remove $path ==="
+ pmnsdel -n root $path
+ for file in root x x.x x.x.x
+ do
+ [ ! -f $file ] && continue
+ echo "----------"
+ echo " $file"
+ echo "----------"
+ cat $file
+ done
+ echo "=== PMNS from pminfo ==="
+ pminfo -n root
+done